package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.VuforiaImageType;


/**
*  service接口类
*/
public interface VuforiaImageTypeService{

    List<VuforiaImageType> getVuforiaImageTypeList(VuforiaImageType record);

    List<VuforiaImageType> getVuforiaImageTypeByPage(Page page, VuforiaImageType record);

    VuforiaImageType getVuforiaImageTypeById(String id);

    VuforiaImageType getVuforiaImageType(VuforiaImageType record);

    boolean createVuforiaImageType(VuforiaImageType record);

    boolean deleteVuforiaImageType(VuforiaImageType record);

    boolean updateVuforiaImageType(VuforiaImageType record);
}

